//****************************************************************************************
//****************************************************************************************

// Hier werden globale Variablen und standortbezogene Angaben gemacht

volatile unsigned char Sekunde = 0;			// 
volatile unsigned char Minute = 59;			// 
volatile unsigned char Stunde = 5;			// 
volatile unsigned char Tag = 17;				// 
volatile unsigned char WTagNr = 0;				// 
volatile unsigned char WTag1 = 0;
volatile unsigned char WTag2 = 0;
volatile unsigned char Monat = 6;			// 
volatile int Jahr = 2011;						// 
volatile int8_t GMT = 1;
float Sommerzeit = 0;
float laenge = 8.58890, breite = 49.9409;


//----------------------------------------------------------------------------------------
//--- stellen der Uhr ber UART 
//----------------------------------------------------------------------------------------
//
// S - Sekunden [0..59]			uint8_t			
// s - Stunden [0..23]			uint8_t	
// m - Minuten [0..59]			uint8_t	
// t - Tag [1..31]				uint8_t	
// M - Monat [1..12]			uint8_t	
// j - Jahr [0..9999]			uint16_t	
// z - Sommerzeit [0..1]		uint8_t		1: MESZ, 0: MEZ
// g - Zeitzone GMT [-12..12]	int8_t	
// l - Lnge [0..360]			float
// b - Breite [0..360]			float
//
// Beispiel Stunde:		s12 (gefolgt von CR/LF, CR, oder LF) stellt Stunde auf 12 Uhr
//                          Eingaben ohne CR/LF, CR, oder LF oder Pause >30ms setzen
//                          die Schnittstelle zurck
//----------------------------------------------------------------------------------------